import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/sys/configure/pageList", formData);
}

function list(formData){
    return request.post(constant.serverUrl + "/sys/configure/list",formData);
}

function create(){
  return request.get(constant.serverUrl + "/sys/configure/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/sys/configure/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/sys/configure/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/sys/configure/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/sys/configure/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/sys/configure/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}


export default {
  pageList,create,edit,add,update,remove,batchRemove,list
}